Bug Hunting Session
Bug 68020 - handling of body of cell of table: inconsistent depending on type and style
Summary: handling of body of cell of table: inconsistent depending on type and style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on: 68022 68023 68024 68026 60842 62147
Blocks: 67930
  Show dependency treegraph
 
Reported: 2013-08-12 14:13 UTC by Lionel Elie Mamane
Modified: 2017-01-03 19:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (5.14 KB, application/vnd.oasis.opendocument.text)
2013-08-12 14:15 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-12 14:13:45 UTC
@mstahl: continuation of the saga of bug 60842 and bug 62147.

Tracker bug.

Consider the attached document.

Compare row April Prime and April Secundo.

Why does the second column of April Prime display the office:value,
but in April Secundo the <text:p> child? The only difference between
the two is the order between the <text:variable-set> and the actual
PCDATA (text). Surely that should not make any difference.

I'm surprised that on row April Prime, the second and third column
display differently. Depending on the format, the office:value
attribute or the text:p child are used? I'd expect that to be a bug.
It should *always* take the office:value attribute.

However, in the first three rows, the body may not be always displayed,
but it is always *treated* in some way. In particular, <text:variable-set>
tags are treated. See that variables (foo|bar)Apr(Pri|Sec) as well as
(foo|bar)AugPri are set, and displayed in the page footer:
 f41-b41,f42-b42,f81-b81

On the other hand, for cells with office:value-type="string"
(rows August Secundo and August Tertio), as soon as there is
an office:string-value (that is, the second column), the
<text:variable-set> in the body are not evaluated; the variables
fooAug(Sec|Ter) stay at "0". This is what causes bug 67930. In the
absence of an office:string-value, however, the body is displayed
and executed, and the barAug(Sec|Ter) variables do get set.
Comment 1 Lionel Elie Mamane 2013-08-12 14:15:06 UTC
Created attachment 83968 [details]
test case
Comment 2 Robinson Tryon (qubit) 2014-02-03 18:37:49 UTC
Remove comma from whiteboard.
Comment 3 Robinson Tryon (qubit) 2014-02-03 18:40:40 UTC
(In reply to comment #0)
> @mstahl: continuation of the saga of bug 60842 and bug 62147.
> 
> Tracker bug.

Lionel - Are you just waiting for info from mstahl here, or is there some other reason why this bug is tagged as NeedAdvice?

Thanks,
Comment 4 Lionel Elie Mamane 2014-02-04 06:46:13 UTC
(In reply to comment #3)
> Lionel - Are you just waiting for info from mstahl here, or is there some
> other reason why this bug is tagged as NeedAdvice?

JB Faure tagged it as NeedAdvice, not sure why. I had hoped that mstahl would fix the bug :)
Comment 5 Jean-Baptiste Faure 2014-02-05 21:13:08 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Lionel - Are you just waiting for info from mstahl here, or is there some
> > other reason why this bug is tagged as NeedAdvice?
> 
> JB Faure tagged it as NeedAdvice, not sure why. 

Because of the "why" at the fifth line of your bug description.
If I misunderstood (it is possible ;-) ), please feel free to remove the tag.

Best regards. JBF
Comment 6 Robinson Tryon (qubit) 2014-07-03 19:51:46 UTC
Question answered, changing NEEDINFO -> NEW.
Comment 7 QA Administrators 2015-09-04 02:49:24 UTC Comment hidden (obsolete)
Comment 8 Lionel Elie Mamane 2015-09-04 08:12:07 UTC
Yes, still an issue with  5.0.1.0.0+
Comment 9 Lionel Elie Mamane 2015-09-04 08:12:26 UTC
I doubt it is a regression, but did not specifically test
Comment 10 Robinson Tryon (qubit) 2015-12-10 01:38:21 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-01-03 19:41:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103